Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.instance
Class RuleFlowProcessInstanceFactory

    java.lang.Object
      org.jbpm.process.instance.AbstractProcessInstanceFactory
          org.jbpm.ruleflow.instance.RuleFlowProcessInstanceFactory

All Implemented Interfaces:
  Externalizable, Serializable, ProcessInstanceFactory

    public class RuleFlowProcessInstanceFactory

extends AbstractProcessInstanceFactory
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`RuleFlowProcessInstanceFactory()`

Method Summary
`ProcessInstance` | `createProcessInstance()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jbpm.process.instance.AbstractProcessInstanceFactory
`createProcessInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleFlowProcessInstanceFactory

    public RuleFlowProcessInstanceFactory()

Method Detail

### createProcessInstance

    public ProcessInstance createProcessInstance()

  Specified by:
    `createProcessInstance` in class `AbstractProcessInstanceFactory`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.